{ pkgs, rice, user, ... }:
let 
  my-sent = pkgs.sent.override {
    patches = [
      ./sent.patch
      # /home/${user}/.local/share/sent.patch
      # (builtins.toFile "/home/${user}/   
    ];
  };
in
{
  home = {
    packages = [ 
      # pkgs.sent
      my-sent
    ];
    file.".local/share/sent.patch".text = ''
      diff --git a/config.def.h b/config.def.h
      index 60eb376..64e7f05 100644
      --- a/config.def.h
      +++ b/config.def.h
      @@ -9,8 +9,8 @@ static char *fontfallbacks[] = {
       #define FONTSZ(x) ((int)(10.0 * powf(1.1288, (x)))) /* x in [0, NUMFONTSCALES-1] */

       static const char *colors[] = {
      -	"#000000", /* foreground color */
      -	"#FFFFFF", /* background color */
      +	"${rice.color.foreground}", /* foreground color */
      +	"${rice.color.background}", /* background color */
       };

       static const float linespacing = 1.4;
    '';  
  };
}
